Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.cxf
Class ClientWrapper

    java.lang.Object
      org.mule.transport.cxf.ClientWrapper

    public class ClientWrapper

extends Object

Field Summary
`protected org.apache.cxf.endpoint.Client` | `client`
`protected javax.xml.ws.BindingProvider` | `clientProxy`
`protected Method` | `defaultMethod`
`protected String` | `defaultMethodName`
`protected ImmutableEndpoint` | `endpoint`
`protected boolean` | `proxy`
`protected boolean` | `proxyEnvelope`

Constructor Summary
`ClientWrapper(org.apache.cxf.Bus bus, ImmutableEndpoint endpoint)`
`ClientWrapper(ImmutableEndpoint endpoint)`

Method Summary
`protected void` | `addMuleInterceptors()`
`protected void` | `createClientFromClass(org.apache.cxf.Bus bus, String clientClassName)`
`protected void` | `createClientFromLocalServer(org.apache.cxf.Bus bus)`
`protected void` | `createClientProxy(org.apache.cxf.Bus bus)`
`protected Method` | `findMethod(Class<?> clientCls)`
`org.apache.cxf.endpoint.Client` | `getClient()`
`javax.xml.ws.BindingProvider` | `getClientProxy()`
`Method` | `getMethod(MuleEvent event)`
`protected String` | `getMethodOrOperationName(MuleEvent event)`
`org.apache.cxf.service.model.BindingOperationInfo` | `getOperation(MuleEvent event)`
`protected org.apache.cxf.service.model.BindingOperationInfo` | `getOperation(String opName)`
`boolean` | `isApplyTransformersToProtocol()`
`boolean` | `isClientProxyAvailable()`
`boolean` | `isProxy()`
`boolean` | `isProxyEnvelope()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### endpoint

    protected final ImmutableEndpoint endpoint

### client

    protected org.apache.cxf.endpoint.Client client

### defaultMethodName

    protected String defaultMethodName

### clientProxy

    protected javax.xml.ws.BindingProvider clientProxy

### defaultMethod

    protected Method defaultMethod

### proxy

    protected boolean proxy

### proxyEnvelope

    protected boolean proxyEnvelope

Constructor Detail

### ClientWrapper

    public ClientWrapper(ImmutableEndpoint endpoint)
                  throws Exception

Throws:
  `Exception`

### ClientWrapper

    public ClientWrapper(org.apache.cxf.Bus bus,
                         ImmutableEndpoint endpoint)
                  throws Exception

Throws:
  `Exception`

Method Detail

### getClient

    public org.apache.cxf.endpoint.Client getClient()

### getClientProxy

    public javax.xml.ws.BindingProvider getClientProxy()

### findMethod

    protected Method findMethod(Class<?> clientCls)
                         throws Exception

  Throws:
    `Exception`

### getOperation

    protected org.apache.cxf.service.model.BindingOperationInfo getOperation(String opName)
                                                                      throws Exception

  Throws:
    `Exception`

### createClientProxy

    protected void createClientProxy(org.apache.cxf.Bus bus)
                              throws Exception

  Throws:
    `Exception`

### createClientFromClass

    protected void createClientFromClass(org.apache.cxf.Bus bus,
                                         String clientClassName)
                                  throws Exception

  Throws:
    `Exception`

### createClientFromLocalServer

    protected void createClientFromLocalServer(org.apache.cxf.Bus bus)
                                        throws Exception

  Throws:
    `Exception`

### addMuleInterceptors

    protected void addMuleInterceptors()

### getMethodOrOperationName

    protected String getMethodOrOperationName(MuleEvent event)
                                       throws DispatchException

  Throws:
    `DispatchException`

### isClientProxyAvailable

    public boolean isClientProxyAvailable()

### getOperation

    public org.apache.cxf.service.model.BindingOperationInfo getOperation(MuleEvent event)
                                                                   throws Exception

  Throws:
    `Exception`

### getMethod

    public Method getMethod(MuleEvent event)
                     throws Exception

  Throws:
    `Exception`

### isProxy

    public boolean isProxy()

### isProxyEnvelope

    public boolean isProxyEnvelope()

### isApplyTransformersToProtocol

    public boolean isApplyTransformersToProtocol()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.